# GridFire: gridfire::exceptions::StaleEngineError Class Reference

Loading...
Searching...
No Matches
gridfire::exceptions::StaleEngineError Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::StaleEngineError:

## Public Member Functions

| StaleEngineError (const std::string &message)
const char * | what () const noexcept override

## Private Attributes

std::string | m_message

## Detailed Description

Definition at line 62 of file error_engine.h.

## Constructor & Destructor Documentation

## StaleEngineError()

gridfire::exceptions::StaleEngineError::StaleEngineError | ( | const std::string & | message | ) |

inlineexplicit

Definition at line 64 of file error_engine.h.

## Member Function Documentation

## what()

const char * gridfire::exceptions::StaleEngineError::what | ( |  | ) | const

inlineoverridenoexcept

Definition at line 67 of file error_engine.h.

## Member Data Documentation

## m_message

std::string gridfire::exceptions::StaleEngineError::m_message

private

Definition at line 72 of file error_engine.h.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h